

if SERVER then

	AddCSLuaFile("shared.lua")
	SWEP.HoldType = "ar2"
	
end

if CLIENT then

	SWEP.DrawAmmo			= true
	SWEP.DrawCrosshair		= false
	SWEP.ViewModelFlip		= false
	SWEP.CSMuzzleFlashes	= true
		
	SWEP.Slot				= 3
	SWEP.SlotPos			= 1
	SWEP.IconLetter			= "i"
	SWEP.DrawWeaponInfoBox  = true
	
	killicon.AddFont("weapon_rg_example", "CSKillIcons", SWEP.IconLetter, Color(255, 220, 0, 255))
	
end

SWEP.Base			= "rg_base"
SWEP.Category          = "Modern Warfare 2 Weapons"

------------
-- Info --
------------
SWEP.PrintName		= "FN FAL"	
SWEP.Author			= "ZeRo_InSaNiTy"
SWEP.Purpose		= "Shoot things."
SWEP.Instructions	= "Hold your use key and press secondary fire to change fire modes."

SWEP.Spawnable			= true
SWEP.AdminSpawnable		= false
SWEP.Weight				= 5
SWEP.AutoSwitchTo		= false
SWEP.AutoSwitchFrom		= false

SWEP.Primary.Sound			= Sound("weapons/FAL/galil-1.wav")
SWEP.Primary.Damage			= 40
SWEP.Primary.NumShots		= 1
SWEP.Primary.ClipSize		= 20
SWEP.Primary.DefaultClip	= 60
SWEP.Primary.Ammo			= "smg1"
SWEP.MuzzleVelocity			= 80000 
SWEP.Secondary.ClipSize		= -1 
SWEP.Secondary.DefaultClip	= 1 
SWEP.Secondary.Ammo			= "none" 
SWEP.RecoverTime 	= 0.5 

SWEP.MinRecoil		= 0.05
SWEP.MaxRecoil		= 2
SWEP.DeltaRecoil	= 0.03

SWEP.MinSpread		= 0.002
SWEP.MaxSpread		= 0.06
SWEP.DeltaSpread	= 0.0015

SWEP.MinSpray		= 0.03
SWEP.MaxSpray		= 1.5
SWEP.DeltaSpray		= 0.15

SWEP.IronSightsPos = Vector (-1.879, -1.6635, 1.1274)
SWEP.IronSightsAng = Vector (-1.0234, 0.1492, 0.0571)


SWEP.IronSightZoom			= 1.9
SWEP.UseScope				= false
SWEP.ScopeScale 			= 0.4
SWEP.ScopeZooms				= {4,8,16}
SWEP.DrawParabolicSights	= true
SWEP.ViewModel				= "models/weapons/v_mw2_fnfal.mdl"
SWEP.WorldModel				= "models/weapons/w_mw2_fnfal.mdl"

SWEP.MuzzleEffect			= "rg_muzzle_rifle" -- This is an extra muzzleflash effect
-- Available muzzle effects: rg_muzzle_grenade, rg_muzzle_highcal, rg_muzzle_hmg, rg_muzzle_pistol, rg_muzzle_rifle, rg_muzzle_silenced, none

SWEP.ShellEffect			= "rg_shelleject_rifle" 
SWEP.MuzzleAttachment		= "1"
SWEP.ShellEjectAttachment	= "2" 

SWEP.CrouchModifier		= 0.8
SWEP.IronSightModifier 	= 0.4
SWEP.RunModifier 		= 1.4 
SWEP.JumpModifier 		= 1.6
SWEP.AvailableFireModes		= {"Semi"}
SWEP.AutoRPM				= 650
SWEP.SemiRPM				= 600
SWEP.BurstRPM				= 600
SWEP.DrawFireModes			= true