

if SERVER then

	AddCSLuaFile("shared.lua")
	SWEP.HoldType = "pistol"
	
end

if CLIENT then

	SWEP.DrawAmmo			= true
	SWEP.DrawCrosshair		= false
	SWEP.ViewModelFlip		= true
	SWEP.CSMuzzleFlashes	= true
		
	SWEP.Slot				= 3
	SWEP.SlotPos			= 1
	SWEP.IconLetter			= "i"
	SWEP.DrawWeaponInfoBox  = true
	
	killicon.AddFont("weapon_rg_example", "CSKillIcons", SWEP.IconLetter, Color(255, 220, 0, 255))
	
end

SWEP.Base			= "rg_base"
SWEP.Category          = "Modern Warfare 2 Weapons"

------------
-- Info --
------------
SWEP.PrintName		= "Glock 18"	
SWEP.Author			= "ZeRo_InSaNiTy"
SWEP.Purpose		= "Shoot things."
SWEP.Instructions	= "Hold your use key and press secondary fire to change fire modes."

SWEP.Spawnable			= true
SWEP.AdminSpawnable		= true
SWEP.Weight				= 5
SWEP.AutoSwitchTo		= false
SWEP.AutoSwitchFrom		= false

SWEP.Primary.Sound			= Sound("weapons/g18/glock18-1.wav")
SWEP.Primary.Damage			= 20
SWEP.Primary.NumShots		= 1
SWEP.Primary.ClipSize		= 30
SWEP.Primary.DefaultClip	= 60
SWEP.Primary.Ammo			= "pistol"
SWEP.MuzzleVelocity			= 8000
SWEP.Secondary.ClipSize		= -1 
SWEP.Secondary.DefaultClip	= 1 
SWEP.Secondary.Ammo			= "none" 
SWEP.RecoverTime 	= 0.6

SWEP.MinRecoil		= 0.3
SWEP.MaxRecoil		= 1.2
SWEP.DeltaRecoil	= 0.08

SWEP.MinSpread		= 0.005
SWEP.MaxSpread		= 0.07
SWEP.DeltaSpread	= 0.0023

SWEP.MinSpray		= 0.05
SWEP.MaxSpray		= 1.6
SWEP.DeltaSpray		= 0.24


SWEP.IronSightsPos = Vector (3.694, -4.6853, 2.7595)
SWEP.IronSightsAng = Vector (0.6193, -0.21, 0.0649)


SWEP.IronSightZoom			= 1.3  
SWEP.UseScope				= false
SWEP.ScopeScale 			= 0.4
SWEP.ScopeZooms				= {4,8,16}
SWEP.DrawParabolicSights	= true
SWEP.ViewModel				= "models/weapons/v_mw2s_glock18.mdl"
SWEP.WorldModel				= "models/weapons/w_pist_glock18.mdl"

SWEP.MuzzleEffect			= "rg_muzzle_pistol" -- This is an extra muzzleflash effect
-- Available muzzle effects: rg_muzzle_grenade, rg_muzzle_highcal, rg_muzzle_hmg, rg_muzzle_pistol, rg_muzzle_rifle, rg_muzzle_silenced, none

SWEP.ShellEffect			= "rg_shelleject_rifle" 
SWEP.MuzzleAttachment		= "1"
SWEP.ShellEjectAttachment	= "2" 

SWEP.CrouchModifier		= 0.9
SWEP.IronSightModifier 	= 0.55
SWEP.RunModifier 		= 1.4 
SWEP.JumpModifier 		= 1.6
SWEP.AvailableFireModes		= {"Auto"}
SWEP.AutoRPM				= 800
SWEP.SemiRPM				= 800
SWEP.BurstRPM				= 600
SWEP.DrawFireModes			= true