

if SERVER then

	AddCSLuaFile("shared.lua")
	SWEP.HoldType = "crossbow"
	
end

if CLIENT then

	SWEP.DrawAmmo			= true
	SWEP.DrawCrosshair		= false
	SWEP.ViewModelFlip		= false
	SWEP.CSMuzzleFlashes	= true
		
	SWEP.Slot				= 3
	SWEP.SlotPos			= 1
	SWEP.IconLetter			= "i"
	SWEP.DrawWeaponInfoBox  = true
	
	killicon.AddFont("weapon_rg_example", "CSKillIcons", SWEP.IconLetter, Color(255, 220, 0, 255))
	
end

SWEP.Base			= "rg_base"
SWEP.Category          = "Modern Warfare 2 Weapons"

------------
-- Info --
------------
SWEP.PrintName		= "Barrett .50 Sniper Rifle"	
SWEP.Author			= "ZeRo_InSaNiTy"
SWEP.Purpose		= "Shoot things."
SWEP.Instructions	= "Hold your use key and press secondary fire to change fire modes."

SWEP.Spawnable			= true
SWEP.AdminSpawnable		= false
SWEP.Weight				= 30
SWEP.AutoSwitchTo		= false
SWEP.AutoSwitchFrom		= false

SWEP.Primary.Sound			= Sound("weapons/Barrett/awp1.wav")
SWEP.Primary.Damage			= 70
SWEP.Primary.NumShots		= 1
SWEP.Primary.ClipSize		= 10
SWEP.Primary.DefaultClip	= 60
SWEP.Primary.Ammo			= "357"
SWEP.MuzzleVelocity			= 9001
SWEP.Secondary.ClipSize		= -1 
SWEP.Secondary.DefaultClip	= 1 
SWEP.Secondary.Ammo			= "none" 
SWEP.RecoverTime 	= 0.9

SWEP.MinRecoil		= 0.8
SWEP.MaxRecoil		= 9
SWEP.DeltaRecoil	= 0.8

SWEP.MinSpread		= 0
SWEP.MaxSpread		= 0.06
SWEP.DeltaSpread	= 0.0006

SWEP.MinSpray		= 0
SWEP.MaxSpray		= 1.5
SWEP.DeltaSpray		= 0.03

SWEP.IronSightsPos = Vector (-2.5368, -3.7895, 0.7687)
SWEP.IronSightsAng = Vector (1.1627, -0.626, -0.0044)


SWEP.IronSightZoom			= 1.3
SWEP.UseScope				= true
SWEP.ScopeScale 			= 0.4
SWEP.ScopeZooms				= {4,8,16}
SWEP.DrawParabolicSights	= true
SWEP.ViewModel				= "models/weapons/v_snip_brt.mdl"
SWEP.WorldModel				= "models/weapons/w_snip_awp.mdl"

SWEP.MuzzleEffect			= "rg_muzzle_highcal" -- This is an extra muzzleflash effect
-- Available muzzle effects: rg_muzzle_grenade, rg_muzzle_highcal, rg_muzzle_hmg, rg_muzzle_pistol, rg_muzzle_rifle, rg_muzzle_silenced, none

SWEP.ShellEffect			= "rg_shelleject_rifle" 
SWEP.MuzzleAttachment		= "1"
SWEP.ShellEjectAttachment	= "2" 

SWEP.CrouchModifier		= 0.8
SWEP.IronSightModifier 	= 0.95
SWEP.RunModifier 		= 5
SWEP.JumpModifier 		= 7
SWEP.AvailableFireModes		= {"Semi"}
SWEP.AutoRPM				= 800
SWEP.SemiRPM				= 800
SWEP.BurstRPM				= 600
SWEP.DrawFireModes			= true