

if SERVER then

	AddCSLuaFile("shared.lua")
	SWEP.HoldType = "pistol"
	
end

if CLIENT then

	SWEP.DrawAmmo			= true
	SWEP.DrawCrosshair		= false
	SWEP.ViewModelFlip		= true
	SWEP.CSMuzzleFlashes	= true
		
	SWEP.Slot				= 3
	SWEP.SlotPos			= 1
	SWEP.IconLetter			= "i"
	SWEP.DrawWeaponInfoBox  = true
	
	killicon.AddFont("weapon_rg_example", "CSKillIcons", SWEP.IconLetter, Color(255, 220, 0, 255))
	
end

SWEP.Base			= "rg_base"
SWEP.Category          = "Modern Warfare 2 Weapons"

------------
-- Info --
------------
SWEP.PrintName		= "Desert Eagle .50"	
SWEP.Author			= "ZeRo_InSaNiTy"
SWEP.Purpose		= "Shoot things."
SWEP.Instructions	= "Hold your use key and press secondary fire to change fire modes."

SWEP.Spawnable			= true
SWEP.AdminSpawnable		= false
SWEP.Weight				= 5
SWEP.AutoSwitchTo		= false
SWEP.AutoSwitchFrom		= false

SWEP.Primary.Sound			= Sound("weapons/deagle50c/deagle-1.wav")
SWEP.Primary.Damage			= 50
SWEP.Primary.NumShots		= 1
SWEP.Primary.ClipSize		= 7
SWEP.Primary.DefaultClip	= 60
SWEP.Primary.Ammo			= "357"
SWEP.MuzzleVelocity			= 9999
SWEP.Secondary.ClipSize		= -1 
SWEP.Secondary.DefaultClip	= 1 
SWEP.Secondary.Ammo			= "none" 
SWEP.RecoverTime 	= 0.7

SWEP.MinRecoil		= 0.7
SWEP.MaxRecoil		= 5
SWEP.DeltaRecoil	= 1

SWEP.MinSpread		= 0.003
SWEP.MaxSpread		= 0.07
SWEP.DeltaSpread	= 0.0017

SWEP.MinSpray		= 0.05
SWEP.MaxSpray		= 2
SWEP.DeltaSpray		= 0.18

SWEP.IronSightsPos = Vector (2.2334, -0.3371, 0.9667)
SWEP.IronSightsAng = Vector (0.2011, -0.0385, 0.4302)



SWEP.IronSightZoom			= 1
SWEP.UseScope				= false
SWEP.ScopeScale 			= 0.4
SWEP.ScopeZooms				= {4,8,16}
SWEP.DrawParabolicSights	= true
SWEP.ViewModel				= "models/weapons/v_mw2s_deagle.mdl"
SWEP.WorldModel				= "models/weapons/w_mw2_deagle.mdl"

SWEP.MuzzleEffect			= "rg_muzzle_pistol" -- This is an extra muzzleflash effect
-- Available muzzle effects: rg_muzzle_grenade, rg_muzzle_highcal, rg_muzzle_hmg, rg_muzzle_pistol, rg_muzzle_rifle, rg_muzzle_silenced, none

SWEP.ShellEffect			= "rg_shelleject_pistol" 
SWEP.MuzzleAttachment		= "1"
SWEP.ShellEjectAttachment	= "2" 

SWEP.CrouchModifier		= 0.9
SWEP.IronSightModifier 	= 0.55
SWEP.RunModifier 		= 1.4 
SWEP.JumpModifier 		= 1.6
SWEP.AvailableFireModes		= {"Semi"}
SWEP.AutoRPM				= 600
SWEP.SemiRPM				= 500
SWEP.BurstRPM				= 600
SWEP.DrawFireModes			= true